[arch-commits] Commit in elfutils/repos/testing-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Thu Feb 11 12:11:06 UTC 2021


    Date: Thursday, February 11, 2021 @ 12:11:05
  Author: dvzrv
Revision: 407832

archrelease: copy trunk to testing-x86_64

Added:
  elfutils/repos/testing-x86_64/PKGBUILD
    (from rev 407831, elfutils/trunk/PKGBUILD)
Deleted:
  elfutils/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |  140 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 70 insertions(+), 70 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-11 12:10:56 UTC (rev 407831)
+++ PKGBUILD	2021-02-11 12:11:05 UTC (rev 407832)
@@ -1,70 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Laurent Carlier <lordheavym at gmail.com>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Andrej Gelenberg <andrej.gelenberg at udo.edu>
-
-pkgbase=elfutils
-pkgname=('elfutils' 'libelf')
-pkgver=0.183
-pkgrel=2
-pkgdesc='Handle ELF object files and DWARF debugging information'
-arch=('x86_64')
-url="https://sourceware.org/elfutils/"
-license=('LGPL3' 'GPL3')
-makedepends=('bzip2' 'curl' 'gcc-libs' 'libarchive' 'libmicrohttpd' 'sqlite'
-'xz' 'zlib' 'zstd')
-options=('staticlibs')
-source=("https://sourceware.org/${pkgbase}/ftp/${pkgver}/${pkgbase}-${pkgver}.tar.bz2"{,.sig})
-sha512sums=('bdafdd738a33cebe4f87849e5e6f1133881e77ef71b27faa0f0234ff80e9674f506957898326c2a55fd8438cbd189f7930597d0b4b9ca6c77921cc0cbd83b6b7'
-            'SKIP')
-b2sums=('8dd92e7c2df13d51bb51085f6cf762ea1ec7b803dcebf1202a4441ba152ed0e3332b1267276de4650d5ed5c5bed656f72f4c4e9bbf20700be45312a202351574'
-        'SKIP')
-validpgpkeys=(
-  '47CC0331081B8BC6D0FD4DA08370665B57816A6A'  # Mark J. Wielaard <mark at klomp.org>
-  'EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A'  # Mark Wielaard <mjw at gnu.org>
-)
-
-prepare() {
-  cd "$pkgbase-$pkgver"
-  autoreconf -fiv
-}
-
-build() {
-  cd "$pkgbase-$pkgver"
-  CFLAGS+=" -g"  # required for test-suite success
-  ./configure --prefix=/usr \
-              --sysconfdir=/etc \
-              --program-prefix="eu-" \
-              --enable-deterministic-archives
-  make
-}
-
-check() {
-  cd "$pkgbase-$pkgver"
-  # Some tests fail due to limited capabilities of build chroot
-  make check || echo "Known problem: The build environment might lack enough resources."
-}
-
-package_libelf() {
-  pkgdesc+=" (libraries)"
-  depends=('gcc-libs' 'libbz2.so' 'libcurl.so' 'xz' 'zlib' 'zstd')
-  provides=('libasm.so' 'libdebuginfod.so' 'libdw.so' 'libelf.so')
-
-  cd "$pkgbase-$pkgver"
-  make DESTDIR="$pkgdir" install
-  # remove files provided by elfutils
-  rm -rvf "${pkgdir}"{/etc,/usr/{bin,share}}
-}
-
-package_elfutils() {
-  pkgdesc+=" (utilities)"
-  depends=('gcc-libs' 'glibc' 'libarchive.so' "libelf=${pkgver}-${pkgrel}"
-  'libmicrohttpd.so' 'sqlite')
-
-  cd "$pkgbase-$pkgver"
-  make DESTDIR="$pkgdir" install
-  install -vDm 644 {AUTHORS,ChangeLog,NEWS,NOTES,README} \
-    -t "${pkgdir}/usr/share/doc/${pkgname}"
-  # remove files provided by libelf
-  rm -rvf "${pkgdir}/usr/"{include,lib}
-}

Copied: elfutils/repos/testing-x86_64/PKGBUILD (from rev 407831, elfutils/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-11 12:11:05 UTC (rev 407832)
@@ -0,0 +1,70 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Laurent Carlier <lordheavym at gmail.com>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Andrej Gelenberg <andrej.gelenberg at udo.edu>
+
+pkgbase=elfutils
+pkgname=('elfutils' 'libelf')
+pkgver=0.183
+pkgrel=3
+pkgdesc='Handle ELF object files and DWARF debugging information'
+arch=('x86_64')
+url="https://sourceware.org/elfutils/"
+license=('LGPL3' 'GPL3')
+makedepends=('bzip2' 'curl' 'gcc-libs' 'libarchive' 'libmicrohttpd' 'sqlite'
+'xz' 'zlib' 'zstd')
+options=('staticlibs')
+source=("https://sourceware.org/${pkgbase}/ftp/${pkgver}/${pkgbase}-${pkgver}.tar.bz2"{,.sig})
+sha512sums=('bdafdd738a33cebe4f87849e5e6f1133881e77ef71b27faa0f0234ff80e9674f506957898326c2a55fd8438cbd189f7930597d0b4b9ca6c77921cc0cbd83b6b7'
+            'SKIP')
+b2sums=('8dd92e7c2df13d51bb51085f6cf762ea1ec7b803dcebf1202a4441ba152ed0e3332b1267276de4650d5ed5c5bed656f72f4c4e9bbf20700be45312a202351574'
+        'SKIP')
+validpgpkeys=(
+  '47CC0331081B8BC6D0FD4DA08370665B57816A6A'  # Mark J. Wielaard <mark at klomp.org>
+  'EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A'  # Mark Wielaard <mjw at gnu.org>
+)
+
+prepare() {
+  cd "$pkgbase-$pkgver"
+  autoreconf -fiv
+}
+
+build() {
+  cd "$pkgbase-$pkgver"
+  CFLAGS+=" -g"  # required for test-suite success
+  ./configure --prefix=/usr \
+              --sysconfdir=/etc \
+              --program-prefix="eu-" \
+              --enable-deterministic-archives
+  make
+}
+
+check() {
+  cd "$pkgbase-$pkgver"
+  # Some tests fail due to limited capabilities of build chroot
+  make check || echo "Known problem: The build environment might lack enough resources."
+}
+
+package_libelf() {
+  pkgdesc+=" (libraries)"
+  depends=('gcc-libs' 'libbz2.so' 'libcurl.so' 'xz' 'zlib' 'zstd')
+  # NOTE: the shared objects can not be added to provides as they are not versioned
+
+  cd "$pkgbase-$pkgver"
+  make DESTDIR="$pkgdir" install
+  # remove files provided by elfutils
+  rm -rvf "${pkgdir}"{/etc,/usr/{bin,share}}
+}
+
+package_elfutils() {
+  pkgdesc+=" (utilities)"
+  depends=('gcc-libs' 'glibc' 'libarchive.so' "libelf=${pkgver}-${pkgrel}"
+  'libmicrohttpd.so' 'sqlite')
+
+  cd "$pkgbase-$pkgver"
+  make DESTDIR="$pkgdir" install
+  install -vDm 644 {AUTHORS,ChangeLog,NEWS,NOTES,README} \
+    -t "${pkgdir}/usr/share/doc/${pkgname}"
+  # remove files provided by libelf
+  rm -rvf "${pkgdir}/usr/"{include,lib}
+}


More information about the arch-commits mailing list